Subject: Re: SWI-Prolog on MacOS X

From: Jan Wielemaker <[email-masked]>
Date: Thu, 10 May 2001 16:46:21 +0200

Paulo,

> I have just compiled and installed SWI-Prolog 4.0.5 on MacOS X (10.0.3 - 
> build 4P13, the lates version). The config.sub and config.guess included 
> on pl-4.0.5.tar.gz do not allow configure to recognize the MacOS X 
> (powerpc-apple-darwin1.3.2). That's is to solve however. Just:
> 
> % mv config.sub config.sub.old
> % mv config.guess config.guess.old
> % cp /usr/libexec/config.guess .
> % cp /usr/libexec/config.sub .
> 
> I have also compiled and installed GNU readline 4.2. The config.* files 
> included with this package seams to be more recent as configure 
> recognizes MacOS X as a supported system.
> 
> It will be possible for you to update the config.* files for the next 
> SWI-Prolog release? I can send to you the versions included with MacOS X 
> if you want.

Thanks for noting.  I copied those from readline 4.2.  They are now in
the CVS registry.  I already heard it compiled on MacOS X, but these
smart people fix the problems without noticing me :-(

As I've got you on the line anyhow, recently some people figured
whether XPCE could run easily on MacOS X too.  It relies heavily on on
the low-level graphics API of X11, with an alternative implementation
for the MS-Windows API (no MFC, just plain Win32 and POSIX functions).

The big question: can X11 client applications run on MacOS X?  Or does
MacOS X provide emulations for either the X11 or Windows graphics API?

	Thanks --- Jan